Subject: bug#28154: 26.0.50; suggestion to improve bug reporting interface for users who use webmail

From: Zachary Kanfer <[email-masked]>
Date: Thu, 24 Aug 2017 00:15:30 -0400

Eli,

Cool. I'll code that flow up.

Ted,

I'll code up the flow above, but I'm not going to write the mailto
suggestion; I don't have email set up on a program on my machine, so I
wouldn't be able to properly test it, or even see how it differs from the
existing options.

On Wed, Aug 23, 2017 at 3:31 PM, Ted Zlatanov <[email-masked]> wrote:

> On Wed, 23 Aug 2017 00:14:37 -0400 Zachary Kanfer <[email-masked]>
> wrote:
>
> >> Would someone like to work on adding such a feature to emacsbug.el?
> ZK> I wouldn't mind coding something up for this, if we can agree on what
> the
> ZK> flow should be.
>
> There are many possible flows. Please feel free to propose and
> implement; if you put your work in a branch we'll be happy to review it.
>
> ZK> On Mon, Aug 21, 2017 at 10:20 AM, Ted Zlatanov <[email-masked]>
> wrote:
>
> >> mailto URLs generally support some options; a short body and subject
> >> could be specified like this:
> >>
> >> <a href=”mailto:[email-masked]?subject=Bug%20Report&body=Hi%0Athere%20″>
> >>
> >> Which would DTRT on many users' desktops. So maybe that would be an
> option?
>
> ZK> I'm not sure how much that functionality overlaps with the existing
> ZK> behavior that's already there. It certainly wouldn't help webmail
> users.
>
> Maybe it will help others :)
>
> Ted
>